MESON(1)

NAME
meson - a high productivity build system

DESCRIPTION
Meson is a build system designed to optimize programmer productivity. It aims to do this by providing simple, out-of-the-box support for modern software development tools and practices, such as unit tests, coverage reports, Valgrind, CCache and the like. Using Meson is simple and follows the common two-phase process of most build systems. First you run Meson to configure your build: meson [ options ] [ source directory ] [ build directory ] Note that the build directory must be different from the source directory. Meson does not support building inside the source directory and attempting to do that leads to an error. After a successful configuration step you can build the source by running the actual build command in the build directory. The default backend of Meson is Ninja, which can be invoked like this. ninja [ target ] You only need to run the Meson command once: when you first configure your build dir. After that you just run the build command. Meson will autodetect changes in your source tree and regenerates all files needed to build the project.

  options:

--version
    print version number

--help
    print command line help

SEE ALSO
http://mesonbuild.com/